Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# UnalignedLMatrix4d Class Reference

This is an "unaligned" LMatrix4. More...

List of all members.

## Public Member Functions
| UnalignedLMatrix4d ()
| UnalignedLMatrix4d (Mat4D const copy)
| UnalignedLMatrix4d (double e00, double e01, double e02, double e03, double e10, double e11, double e12, double e13, double e20, double e21, double e22, double e23, double e30, double e31, double e32, double e33)
| UnalignedLMatrix4d (UnalignedLMatrix4d const copy)
| getData ()
| Returns the address of the first of the nine data elements in the matrix.
int | getNumComponents ()
| Returns the number of elements in the matrix, sixteen.
| operator() (int row, int col)
double | operator() (int row, int col)
UnalignedLMatrix4d | operator= (UnalignedLMatrix4d const copy)
UnalignedLMatrix4d | operator= (Mat4D const copy)
| set (double e00, double e01, double e02, double e03, double e10, double e11, double e12, double e13, double e20, double e21, double e22, double e23, double e30, double e31, double e32, double e33)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is an "unaligned" LMatrix4.

It has no functionality other than to store numbers, and it will pack them in as tightly as possible, avoiding any SSE2 alignment requirements shared by the primary LMatrix4 class.

Use it only when you need to pack numbers tightly without respect to alignment, and then copy it to a proper LMatrix4 to get actual use from it.

## Constructor & Destructor Documentation

UnalignedLMatrix4d | ( |  | ) |

UnalignedLMatrix4d | ( | Mat4D const | copy | ) |

UnalignedLMatrix4d | ( | UnalignedLMatrix4d const | copy | ) |

UnalignedLMatrix4d | ( | double | e00,
|  | double | e01,
|  | double | e02,
|  | double | e03,
|  | double | e10,
|  | double | e11,
|  | double | e12,
|  | double | e13,
|  | double | e20,
|  | double | e21,
|  | double | e22,
|  | double | e23,
|  | double | e30,
|  | double | e31,
|  | double | e32,
|  | double | e33
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

getData | ( |  | ) |

Returns the address of the first of the nine data elements in the matrix.

The remaining elements occupy the next eight positions in row-major order.

int getNumComponents | ( |  | ) |

Returns the number of elements in the matrix, sixteen.

double operator() | ( | int | row,
|  | int | col
| ) |  |

operator() | ( | int | row,
|  | int | col
| ) |  |

UnalignedLMatrix4d operator= | ( | UnalignedLMatrix4d const | copy | ) |

UnalignedLMatrix4d operator= | ( | Mat4D const | copy | ) |

set | ( | double | e00,
|  | double | e01,
|  | double | e02,
|  | double | e03,
|  | double | e10,
|  | double | e11,
|  | double | e12,
|  | double | e13,
|  | double | e20,
|  | double | e21,
|  | double | e22,
|  | double | e23,
|  | double | e30,
|  | double | e31,
|  | double | e32,
|  | double | e33
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties